Index: mvcc.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/mvcc.sgml,v
retrieving revision 2.69
diff -c -r2.69 mvcc.sgml
*** mvcc.sgml	18 Feb 2007 01:21:49 -0000	2.69
--- mvcc.sgml	31 Dec 2008 00:24:08 -0000
***************
*** 71,77 ****
     <para>
      The <acronym>SQL</acronym> standard defines four levels of
      transaction isolation in terms of three phenomena that must be
!     prevented between concurrent transactions.  These undesirable
      phenomena are:
  
      <variablelist>
--- 71,78 ----
     <para>
      The <acronym>SQL</acronym> standard defines four levels of
      transaction isolation in terms of three phenomena that must be
!     prevented between concurrent transactions, with additional
!     constraints on serializable transactions.  These undesirable
      phenomena are:
  
      <variablelist>
***************
*** 209,214 ****
--- 210,224 ----
      </table>
  
     <para>
+     The standard also requires that serializable transactions behave as
+     though they were run one at a time, even though their execution may
+     actually overlap.  The fact that none of the above phenomena can occur
+     within a serializable transaction is a natural consequence of the fact
+     that it should appear to be running either before or after every other
+     transaction.
+    </para>
+ 
+    <para>
      In <productname>PostgreSQL</productname>, you can request any of the
      four standard transaction isolation levels.  But internally, there are
      only two distinct isolation levels, which correspond to the levels Read
***************
*** 392,398 ****
  
     <para>
      The Serializable mode provides a rigorous guarantee that each
!     transaction sees a wholly consistent view of the database.  However,
      the application has to be prepared to retry transactions when concurrent
      updates make it impossible to sustain the illusion of serial execution.
      Since the cost of redoing complex transactions might be significant,
--- 402,408 ----
  
     <para>
      The Serializable mode provides a rigorous guarantee that each
!     transaction sees an unchanging view of the database.  However,
      the application has to be prepared to retry transactions when concurrent
      updates make it impossible to sustain the illusion of serial execution.
      Since the cost of redoing complex transactions might be significant,
